> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_houserobberies/configuration-files/config.houseslist.lua.md).

# config.houseslist.lua

{% code lineNumbers="true" fullWidth="true" %}

```lua
Config.HousesList = {
    ['1'] = {
        image = 'house_1.png',
        address = {street = 'Grove Street', zone = 'Davis'},
        difficultyLevel = 1, -- 1 / 2 / 3
        
        lockpickType = 'normal', -- CL.Lockpick
        lockpickItem = 'lockpick',
        lockpickRemove = 1, -- 0 = Don't remove, 1 = Remove on use, 2 = Remove only on done
        
        robberyTimeout = 45 * 60, -- 45 minutes

        requiredPolices = 0,

        interior = 'standardmotel_shell',
        enterCoords = vector3(126.6, -1929.81, 21.38),
        loot = {
            [1] = {
                coords = vector4(1.57, -3.13, -19.22, 200.32),
                animation = {"anim@scripted@cbr1@ig1_washmach_grab_cash@heeled@", "grab", 1500, 1},
                probablyLoots = {
                    ['tv'] = {spawnChance = 90, count = 1},
                    ['laptop'] = {spawnChance = 65, count = 1},
                    ['dj'] = {spawnChance = 60, count = 1},
                },
            },
            [2] = {
                coords = vector4(2.41, 3.19, -19.3, 168.95),
                animation = {"anim@scripted@player@freemode@tun_prep_grab_midd_ig3@heeled@", "tun_prep_grab_midd_ig3", 800, 1},
                probablyLoots = {
                    ['weapon_pistol'] = {spawnChance = 35, count = 1},
                },
            },
            [3] = {
                coords = vector4(-2.41, 3.44, -18.94, 181.96),
                animation = {"anim@scripted@player@freemode@tun_prep_grab_midd_ig3@heeled@", "tun_prep_grab_midd_ig3", 800, 1},
                probablyLoots = {
                    ['perfume'] = {spawnChance = 75, count = 1},
                },
            },
            [4] = {
                coords = vector4(-0.3, 3.22, -19.99, 359.83),
                isCabinet = 'prop_rub_cabinet01',
                animation = {"anim@scripted@cbr1@ig1_washmach_grab_cash@heeled@", "grab", 1500, 1},
                money = 'cash',
                count = {120, 820},
            },
        },
        tenants = {
            [1] = {
                model = 'g_m_y_ballasout_01',
                isArmedWith = 'weapon_pistol', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {7, 10}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                hoursAreSleeping = {22, 6}, -- Tenant 1 will sleep from 22:00 to 6:00
                activitesAtHome = {
                    -- {coords = vector4(-2.62, 0.64, -18.91, 81.63), animation = {'mp_safehouseshower@male@', 'male_shower_idle_a'}},
                    {coords = vector4(-2.94, 2.52, -18.95, 192.7), animation = {'timetable@ron@ig_3_couch', 'base'}},
                    {coords = vector4(0.71, -1.53, -18.57, 193.51), animation = {'timetable@ron@ig_3_couch', 'base'}},
                },
                sleeping = {
                    coords = vector4(-0.32, 0.06, -18.27, 167.96),
                    animation = {'anim@amb@nightclub@lazlow@lo_sofa@', 'lowsofa_dlg_fuckedup_laz'},
                },
            },
        },
        requirements = {
            [1] = "You need Lockpick.",
        },
        informations = {
            
        },
    },
    ['5'] = {
        image = 'house_5.png',
        address = {street = 'Ace Jones Dr', zone = 'Richman'},
        difficultyLevel = 2, -- 1 / 2 / 3
        
        lockpickType = 'advanced', -- CL.Lockpick
        lockpickItem = 'lockpick_advanced',
        lockpickRemove = 1, -- 0 = Don't remove, 1 = Remove on use, 2 = Remove only on done
        
        robberyTimeout = 90 * 60, -- 90 minutes

        requiredPolices = 5,

        interior = 'furnitured_midapart',
        enterCoords = vector4(-1673.18, 385.66, 89.35, 350.56),
        turnOffElectricity = vector4(-1688.88, 379.18, 85.12, 257.5),
        loot = {
            [1] = {
                coords = vector4(0.53, 1.37, -19.01, 97.51),
                animation = {"anim@scripted@player@mission@tun_table_grab@gold@", "grab", 900, },
                probablyLoots = {
                    ['laptop'] = {spawnChance = 60, count = 1},
                    ['cigars'] = {spawnChance = 60, count = 1},
                    ['art_2'] = {spawnChance = 30, count = 1},
                },
            },
            [2] = {
                coords = vector4(7.31, 6.57, -19.94, 270.62),
                animation = {"anim@scripted@player@freemode@tun_prep_ig1_grab_low@male@", "grab_low", 800, 1},
                probablyLoots = {
                    ['dj'] = {spawnChance = 47, count = 1},
                },
            },
            [3] = {
                coords = vector4(-7.11, 8.76, -19.9, 65.77),
                animation = {"veh@common@motorbike@low@ps", "pickup", 700, 1},
                probablyLoots = {
                    ['speaker'] = {spawnChance = 50, count = 1},
                    ['pc'] = {spawnChance = 44, count = 1},
                },
            },
            [4] = {
                coords = vector4(-3.04, -1.06, -18.93, 158.59),
                animation = {"anim@scripted@player@freemode@tun_prep_ig3_grab_high@heeled@", "tun_prep_ig3_grab_high", 1300, 1},
                probablyLoots = {
                    ['toaster'] = {spawnChance = 55, count = 1},
                    ['mixer'] = {spawnChance = 70, count = 1},
                    ['microwave'] = {spawnChance = 60, count = 1},
                },
            },
            [5] = {
                coords = vector4(-0.57, -0.12, -18.87, 253.92),
                animation = {"anim@scripted@player@freemode@tun_prep_ig3_grab_high@heeled@", "tun_prep_ig3_grab_high", 1300, 1},
                probablyLoots = {
                    ['pot'] = {spawnChance = 90, count = 1},
                },
            },
            [6] = {
                coords = vector4(-3.58, 1.16, -18.85, 6.82),
                animation = {"anim@scripted@player@freemode@tun_prep_ig3_grab_high@heeled@", "tun_prep_ig3_grab_high", 1300, 1},
                probablyLoots = {
                    ['kettle'] = {spawnChance = 68, count = 1},
                    ['mixer'] = {spawnChance = 70, count = 1},
                    ['bong'] = {spawnChance = 75, count = 1},
                },
            },
            [7] = {
                coords = vector4(1.65, 9.03, -19.0, 181.0),
                animation = {"anim@scripted@player@freemode@tun_prep_grab_midd_ig3@heeled@", "tun_prep_grab_midd_ig3", 800, 1},
                probablyLoots = {
                    ['perfume'] = {spawnChance = 55, count = 1},
                },
            },
            [8] = {
                coords = vector4(6.21, 2.84, -19.2, 190.67),
                animation = {"anim@scripted@player@freemode@tun_prep_ig3_grab_high@heeled@", "tun_prep_ig3_grab_high", 1300, 1},
                probablyLoots = {
                    ['tv'] = {spawnChance = 65, count = 1},
                },
            },
            [9] = {
                coords = vector4(3.69, 7.87, -19.94, 90.0),
                targetSize = vector3(0.7, 0.6, 1.9),
                isCabinet = true,
                animation = {"anim@scripted@cbr1@ig1_washmach_grab_cash@heeled@", "grab", 1500, 1},
                probablyLoots = {
                    ['money_bundle_1'] = {spawnChance = 60, count = {1200, 2900}},
                    ['necklace_2'] = {spawnChance = 25, count = 1},
                    ['necklace_3'] = {spawnChance = 25, count = 1},
                    ['watch_2'] = {spawnChance = 22, count = 1},
                    ['cocaine'] = {spawnChance = 48, count = {5, 12}},
                    ['weapon_pistol'] = {spawnChance = 45, count = 1},
                },
            },
        },
        tenants = {
            [1] = {
                model = 'g_m_y_ballasout_01',
                isArmedWith = 'weapon_bat', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {7, 10}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                hoursAreSleeping = {22, 6}, -- Tenant 1 will sleep from 22:00 to 6:00
                activitesAtHome = {
                    {coords = vector4(-2.83, 5.83, -18.93, 76.24), animation = {'timetable@ron@ig_3_couch', 'base'}},
                    {coords = vector4(-4.09, 0.95, -18.94, 298.27), animation = {'misscarsteal4@aliens', 'rehearsal_base_idle_director'}},
                    {coords = vector4(5.33, 5.44, -18.73, 198.8), animation = {'timetable@ron@ig_3_couch', 'base'}},
                },
                sleeping = {
                    coords = vector4(4.68, 6.67, -18.28, 167.79),
                    animation = {'anim@amb@nightclub@lazlow@lo_sofa@', 'lowsofa_dlg_fuckedup_laz'},
                },
            },
        },
        laserDetectors = {
            {startCoords = vector3(3.68, 2.49, -19.3), endCoords = vector3(3.43, 5.38, -19.3)},
            {startCoords = vector3(-3.38, 2.41, -19.3), endCoords = vector3(1.17, 5.33, -19.3)},
        },
        requirements = {
            [1] = "You need Lockpick Advanced.",
        },
        informations = {
            [1] = {icon = "fa-solid fa-key", placeholder = 'Security Information.', information = 'The house is secured inside with detection lasers.', price = 350},
            [2] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenant may have firearms with them.', price = 400},
            [3] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenant tenant is not at home at night.', price = 1000},
            [4] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenant is out of the house between 11:00 and 21:00.', price = 1000},
        },
    },
    ['9'] = {
        image = 'house_9.png',
        address = {street = 'Didion Dr.', zone = 'Vinewood Hills'},
        difficultyLevel = 3, -- 1 / 2 / 3
        
        lockpickType = 'advanced', -- CL.Lockpick
        lockpickItem = 'lockpick_advanced',
        lockpickRemove = 1, -- 0 = Don't remove, 1 = Remove on use, 2 = Remove only on done
        
        robberyTimeout = 120 * 60, -- 120 minutes

        requiredPolices = 8,

        interior = 'Apt28',
        enterCoords = vector4(-406.44, 567.45, 124.6, 152.91),
        turnOffElectricity = vector4(-402.12, 576.28, 124.62, 152.26),
        loot = {
            [1] = {
                coords = vector4(-39.1, -587.1, 77.83, 68.79),
                isSafe = 'prop_ld_int_safe_01',
                animation = {"anim@scripted@cbr1@ig1_washmach_grab_cash@heeled@", "grab", 1500, 1},
                money = 'cash',
                count = {5000, 20000},
            },
            [2] = {
                coords = vector4(-41.6, -585.03, 78.52, 142.31),
                animation = {"anim@scripted@player@freemode@tun_prep_grab_midd_ig3@heeled@", "tun_prep_grab_midd_ig3", 800, 1},
                probablyLoots = {
                    ['perfume'] = {spawnChance = 82, count = 1},
                },
            },
            [3] = {
                coords = vector4(-25.79, -578.02, 78.23, 20.08),
                animation = {"anim@scripted@player@freemode@tun_prep_ig1_grab_low@male@", "grab_low", 800, 1},
                probablyLoots = {
                    ['flowers_1'] = {spawnChance = 80, count = 1},
                    ['statue_art_2'] = {spawnChance = 60, count = 1},
                    ['statue_art_3'] = {spawnChance = 55, count = 1},
                },
            },
            [4] = {
                coords = vector4(-16.22, -583.22, 79.25, 201.87),
                animation = {"anim@scripted@player@mission@tun_table_grab@gold@", "grab", 900, 1},
                probablyLoots = {
                    ['laptop'] = {spawnChance = 70, count = 1},
                    ['money_bundle_1'] = {spawnChance = 62, count = {300, 800}},
                    ['money_bundle_2'] = {spawnChance = 55, count = {700, 4200}},
                    ['bleuterd_champagne'] = {spawnChance = 72, count = 1},
                },
            },
            [5] = {
                coords = vector4(-13.68, -587.11, 79.385, 31.42),
                animation = {"anim@scripted@player@freemode@tun_prep_grab_midd_ig3@heeled@", "tun_prep_grab_midd_ig3", 800, 1},
                probablyLoots = {
                    ['kettle'] = {spawnChance = 80, count = 1},
                    ['pot'] = {spawnChance = 75, count = 1},
                    ['mixer'] = {spawnChance = 78, count = 1},
                    ['toaster'] = {spawnChance = 82, count = 1},
                },
            },
            [6] = {
                coords = vector4(-11.96, -599.89, 78.43, 161.19),
                targetSize = vector3(2.0, 0.8, 5.3),
                isCabinet = true,
                animation = {"anim@scripted@player@fix_chop_petting@male@", "petting", 3500, 1},
                probablyLoots = {
                    ['weapon_pistol'] = {spawnChance = 30, count = 1},
                },
            },
            [7] = {
                coords = vector4(-7.47, -595.93, 78.43, 247.76),
                animation = {"veh@common@motorbike@low@ps", "pickup", 700, 1},
                probablyLoots = {
                    ['speaker'] = {spawnChance = 60, count = 1},
                    ['pc'] = {spawnChance = 72, count = 1},
                },
            },
            [8] = {
                coords = vector4(-31.97, -583.99, 77.87, 250.0),
                targetSize = vector3(3.3, 0.75, 2.3),
                isCabinet = true,
                animation = {"anim@scripted@cbr1@ig1_washmach_grab_cash@heeled@", "grab", 1500, 1},
                probablyLoots = {
                    ['money_bundle_1'] = {spawnChance = 62, count = {300, 800}},
                    ['money_counter'] = {spawnChance = 62, count = 1},
                    ['bong'] = {spawnChance = 78, count = 1},
                    ['laptop'] = {spawnChance = 70, count = 1},
                    ['watch_1'] = {spawnChance = 21, count = 1},
                },
            },
            [9] = {
                coords = vector3(-39.97, -589.38, 78.77),
                animation = {"anim@scripted@player@mission@tun_table_grab@gold@", "grab", 900, 1},
                probablyLoots = {
                    ['cocaine'] = {spawnChance = 62, count = {12, 26}},
                    ['watch_1'] = {spawnChance = 20, count = 1},
                    ['watch_2'] = {spawnChance = 20, count = 1},
                    ['necklace_2'] = {spawnChance = 25, count = 1},
                },
            },
        },
        tenants = {
            [1] = {
                model = 's_m_m_armoured_01',
                isArmedWith = 'weapon_assaultrifle_mk2', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {0, 23}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                activitesAtHome = {
                    {coords = vector4(-13.98, -588.18, 78.43, 85.47)},
                },
            },
            [2] = {
                model = 's_m_m_armoured_02',
                isArmedWith = 'weapon_specialcarbine_mk2', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {0, 23}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                activitesAtHome = {
                    {coords = vector4(-24.35, -579.28, 78.24, 204.59)},
                },
            },
            [3] = {
                model = 's_m_m_armoured_02',
                isArmedWith = 'weapon_tacticalrifle', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {0, 23}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                activitesAtHome = {
                    {coords = vector4(-36.98, -583.96, 77.83, 237.85)},
                },
            },
            [4] = {
                model = 's_m_m_armoured_02',
                isArmedWith = 'weapon_bullpuprifle_mk2', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {0, 23}, -- Tenant 1 will be home from 7:00 to 10:00 and will not sleep
                activitesAtHome = {
                    {coords = vector4(-7.85, -596.86, 78.43, 73.14)},
                },
            },
            [5] = {
                model = 's_m_y_westsec_01',
                isArmedWith = 'weapon_sawnoffshotgun', -- when the player wakes him up, attacks him with this weapon
                hoursAtHome = {7, 18}, -- Tenant 1 will be home from 7:00 to 18:00 and will not sleep
                hoursAreSleeping = {22, 6}, -- Tenant 1 will sleep from 22:00 to 6:00
                activitesAtHome = {
                    {coords = vector4(-25.39, -583.19, 78.23, 251.67), animation = {'timetable@ron@ig_3_couch', 'base'}},
                    {coords = vector4(-26.81, -578.88, 78.23, 242.15), animation = {'timetable@ron@ig_3_couch', 'base'}},
                    {coords = vector4(-21.5, -582.57, 78.23, 72.16), animation = {'timetable@ron@ig_3_couch', 'base'}},
                    {coords = vector4(-34.58, -583.18, 77.9, 252.3), animation = {'timetable@ron@ig_3_couch', 'base'}},
                },
                sleeping = {
                    coords = vector4(-35.89, -582.06, 78.5, 159.85),
                    animation = {'anim@amb@nightclub@lazlow@lo_sofa@', 'lowsofa_dlg_fuckedup_laz'},
                },
            },
        },
        laserDetectors = {
            {startCoords = vector3(-16.03, -590.39, 79.4), endCoords = vector3(-21.26, -589.0, 79.4)},
            {startCoords = vector3(-31.41, -586.22, 78.5), endCoords = vector3(-32.14, -588.1, 78.5)},
        },
        camerasDetectors = {
            {prop = 'hei_prop_bank_cctv_02', propCoords = vector4(-23.48, -582.76, 82.2, 0.0), detectorCoords = vector3(-23.55, -582.78, 78.25), detectorRadius = 4.25}
        },
        requirements = {
            [1] = "You need Lockpick Advanced.",
        },
        informations = {
            [1] = {icon = "fa-solid fa-key", placeholder = 'Security Information.', information = 'The house is secured inside with detection lasers and cameras.', price = 350},
            [2] = {icon = "fa-solid fa-key", placeholder = 'Security Information.', information = 'Armed guards are present in the house at all times.', price = 350},
            [3] = {icon = "fa-solid fa-magnifying-glass-dollar", placeholder = 'Loot Information.', information = 'You can find expensive jewelry in the house.', price = 120},
            [4] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenants may have firearms with them.', price = 400},
            [5] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenants sleep through the night.', price = 1000},
            [6] = {icon = "fa-solid fa-user", placeholder = 'Tenant Information.', information = 'Tenant is out of the house between 19:00 and 21:00.', price = 1000},
        },
    },
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_houserobberies/configuration-files/config.houseslist.lua.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
